gits_base 3.0.0 copy "gits_base: ^3.0.0" to clipboard
gits_base: ^3.0.0 copied to clipboard

GitsBase is base for UI project include state management with cubit & hydrated.

3.0.0 #

Break Change:

  • Removed GitsHydrated

2.1.1 #

  • docs: update changelog

2.1.0 #

  • feat(gits_base): add context in cubit

2.0.0 #

  • chore!: support dart 3.0.0 and flutter 3.10.0

1.4.2 #

  • build: bump version dependencies

1.4.1 #

  • change create blocprovider for cubit to blocprovider.value to manualy close cubit

1.4.0 #

  • add variable bool closeCubitOnDispose on GitsStatePage

1.3.0 #

  • fix method argument gits cubit
  • add method for gits cubit didChangeDependencies
  • add method for gits cubit didUpdateWidget

1.2.0 #

  • add init argument from gits state page to gits cubit

1.1.0 #

  • add variable mounted in gits cubit

1.0.0 #

  • update package flutter storage to 6.0.0

0.1.2 #

  • add dartdoc
  • add example

0.1.1 #

  • fix initial cubit in gits_state_page

0.1.0 #

  • add documentation in readme.
  • add authors.
  • fix link repository.

0.0.1 #

  • Initial Open Source release.
3
likes
160
pub points
49%
popularity

Publisher

verified publishergits.id

GitsBase is base for UI project include state management with cubit & hydrated.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (license)

Dependencies

flutter, flutter_bloc

More

Packages that depend on gits_base